# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Path-Extended
%define upstream_version 0.23

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt1_4

Summary:    Yet another Path class
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Path/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp.pm)
BuildRequires: perl(Encode.pm)
BuildRequires: perl(ExtUtils/MakeMaker/CPANfile.pm)
BuildRequires: perl(Fcntl.pm)
BuildRequires: perl(File/Basename.pm)
BuildRequires: perl(File/Copy/Recursive.pm)
BuildRequires: perl(File/Find/Rule.pm)
BuildRequires: perl(File/Path.pm)
BuildRequires: perl(File/Spec.pm)
BuildRequires: perl(File/stat.pm)
BuildRequires: perl(IO.pm)
BuildRequires: perl(Log/Dump.pm)
BuildRequires: perl(Scalar/Util.pm)
BuildRequires: perl(Sub/Install.pm)
BuildRequires: perl(Test/Classy.pm)
BuildRequires: perl(Test/More.pm)
BuildRequires: perl(Test/UseAllModules.pm)
BuildArch:  noarch
Source44: import.info

%description
This is yet another file/directory handler that does a bit more than the
Path::Class manpage for some parts, and a bit less for other parts. One of
the main difference is the Path::Extended manpage always tries to use
forward slashes when possible, ie. even when you're on the MS Windows, so
that you don't need to care about escaping paths that annoys you from time
to time when you want to apply regexen to a path, especially in file tests
that use 'like' or 'compare'.

Also, the Path::Extended manpage can do some basic file/directory
operations such as copy, move, and rename as well as file I/O stuff like
open, close, and slurp (and some of these may behave differently from the
equivalents of the Path::Class manpage).

On the other hand, the Path::Extended manpage doesn't care (or care little)
about converting foreign path names or ascending/descending path tree.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml  README
%{perl_vendor_privlib}/*


%changelog
* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.23-alt1_4
- update by mgaimport

* Wed Jul 27 2016 Igor Vlasenko <viy@altlinux.ru> 0.23-alt1_3
- update by mgaimport

* Sun Feb 21 2016 Igor Vlasenko <viy@altlinux.ru> 0.23-alt1_2
- update by mgaimport

* Tue Oct 20 2015 Igor Vlasenko <viy@altlinux.ru> 0.23-alt1_1
- update by mgaimport

* Wed Dec 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.21-alt3_5
- update by mgaimport

* Tue Oct 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.21-alt3_4
- update by mgaimport

* Tue Sep 02 2014 Cronbuild Service <cronbuild@altlinux.org> 0.21-alt3_3
- rebuild to get rid of unmets

* Tue Oct 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.21-alt2_3
- mga update

* Fri Sep 13 2013 Cronbuild Service <cronbuild@altlinux.org> 0.21-alt2_2
- rebuild to get rid of unmets

* Mon Aug 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.21-alt1_2
- mgaimport update

* Tue Jul 30 2013 Igor Vlasenko <viy@altlinux.ru> 0.20-alt1_1
- converted for ALT Linux by srpmconvert tools

